### Navigation

- index
- modules |
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »

# Module: `kernel.zmq.embed`

Simple function for embedding an IPython kernel

## 1 Function

`IPython.kernel.zmq.embed.``embed_kernel`(module=None, local_ns=None, **kwargs)

  Embed and start an IPython kernel in a given scope.

  Parameters :

  module : ModuleType, optional

  > The module to load into IPython globals (default: caller)

  local_ns : dict, optional

  > The namespace to load into IPython user namespace (default: caller)

  kwargs : various, optional

  > Further keyword args are relayed to the IPKernelApp constructor, allowing configuration of the Kernel. Will only have an effect on the first embed_kernel call for a given process.

### Navigation

- index
- modules |
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »